##### 1. Mostre que lg (n!) ≥ (n/4) lg n para n ≥ 4 sem usar a formula de Stirling.

Vamos utilzar que 
$$2 lg \space (n!) \geq (n/2) lg \space n$$
e lebrem que
$$ 2 lg \space (n!) = lg \space (n!^2) = lg \space(\prod\_{i=0}^{n-1} (n-i) \cdot (i+1)) $$
$$ (n-i) \cdot (i+1) = ni+n-i^2-i$$

Essa equação depende de $i$ e é uma parábola com cavidade para baixo, portanto possi ponto máximo. Vamos sua primeira derivada é $n-2i-1$, igualando isso a 0, $n-2i-1 = 0$, resulta em $i = \frac{n-1}{2}$, portanto, 

$$ (n-i) \cdot (i+1) \leq (n-\frac{n-1}{2}) \cdot (\frac{n-1}{2}+1) = \frac{n+1}{2} \cdot \frac{n+1}{2}$$


Vamos provar por indução. No caso base, $n = 4$,
$$lg \space (4!) \geq (4/4) lg \space 4$$
$$lg \space (24) ≥ 1 \cdot 2$$
$$lg \space (24) ≥ 2$$
como $lg \space (24) \geq lg \space (4) = 2$ é verdade a base.

Hipótese: lg 1 + lg 2 + lg 3 + ... + lg n ≥ (n/4) lg n => 

